Skip to main content

API Overview

Base URL: https://api.velocityafrica.net

Authentication

The API supports two authentication methods:

API Key

All API requests require an API key obtained from the admin dashboard. Include your API key in the request header as shown below.

curl --location 'https://api.velocityafrica.net/sales-orders' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: gH13ni...' \

Collection Variables

VariableDescription
{{token}}JWT token obtained from login
{{apiKey}}API key for machine-to-machine auth
{{host}}API host
{{companyUid}}Company UUID
{{companyId}}Company ID string
{{companyIdString}}Company ID string
{{customerUid}}Customer UUID
{{authorizationUid}}Authorization UUID
{{authorizationId}}Authorization ID
{{customerAuthorizationId}}Customer authorization ID
{{supplierId}}Supplier UUID
{{itemCode}}Item code
{{qty}}Quantity
{{unitPrice}}Unit price
{{amount}}Amount
{{charge}}Charge amount
{{salesOrderId}}Sales order UUID
{{salesOrderTrace}}Sales order trace ID
{{transactionTrace}}Transaction trace ID
{{userId}}User UUID
{{paymentProcessor}}Payment processor label
{{debitCurrency}}Debit currency code
{{authType}}Authorization type

Common Headers

HeaderValueRequired
Content-Typeapplication/jsonFor requests with body
X-API-Key{{apiKey}}For API key authenticated endpoints